=== debian/changelog ===
hintview (1.3.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:47 +1100

hintview (1.3.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:04:10 +0000

hintview (1.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1041668)

 -- Hilmar Preusse <hille42@web.de>  Thu, 20 Jul 2023 18:39:00 +0200
