## hintview 2.1.0

=== Linux/Makefile ===
--- 
+++ 
@@ -51,6 +51,13 @@
 %.c: %.w
 	echo running ctangle disabled
 
+-include .depend
+
+.depend: main.c  renderOGL.c 
+	$(CC) -I../backend -MM *.c  > $@ || true
+
+
+
 main.o: main.c
 	$(CC) $(CFLAGS) $(GTK_CFLAGS) -o $@ -c $< 
 
@@ -69,7 +76,9 @@
 %.o: ../backend/%.c 
 	$(CC) $(CFLAGS) -o $@ -c $<
 
+# copy the .w files for gdb
 hintview: $(OBJ)
+	cp ../backend/*.w .
 	$(CC) $(LDFLAGS) $(OBJ) $(LIBS) $(GTK_LIBS) -o $@ 
 
 SRC= $(OBJ:.o=.c) $(HFILES) main.h stb_image.h Makefile CMakeLists.txt
@@ -82,7 +91,7 @@
 install: hintview
 	strip hintview
 	install -t $(BINDIR) --mode=755 hintview
-	install -t $(MANDIR)/man1 --mode=644 ../man/hintview.1
+	install -t $(MANDIR)/man1 --mode=644 hintview.1
 
 .PHONY: clean
 clean:
