=== debian/changelog ===
hintview (2.1.0-1) unstable; urgency=medium

  * New upstream version, obsoletes patches.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 09 Dec 2024 21:53:34 +0100
