=== debian/changelog ===
hintview (2.3.0-1) unstable; urgency=medium

  * New upstream version.
    - Fixes FTCBFS: (Closes: #1115555).
      Thanks to Helmut Grohne for report and creating the original
      patch.

  * Better Desktop integration.
    - New MIME Type for .hnt files; associate hintview to that MIME Type.
    - Integrate into start menu + Icon for .hnt files.
  * Package build log passes blhc test (Closes: #1119442)
  * Bump Standards version, no changes needed.

 -- Hilmar Preuße <hille42@debian.org>  Tue, 11 Nov 2025 22:24:02 +0100
