=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libopengl-dev,
  zlib1g-dev,
  libgtk-3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://hint.userweb.mwn.de/hint/hintview.html
 Vcs-Browser: https://github.com/debian-tex/hintview
 Vcs-Git: https://github.com/debian-tex/hintview.git
