=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 
 # See FEATURE AREAS in dpkg-buildflags(1).
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # See ENVIRONMENT in dpkg-buildflags(1).
 # Package maintainers to append CFLAGS.
@@ -14,11 +14,30 @@
 # Package maintainers to append LDFLAGS.
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+package = hintview
+
+ICON_DIR := /usr/share/icons/hicolor
+ICON_NAME := mimetypes/x-hintview.png
+ICON_SRC := resources/logo/HINTLogoBuchFG
+ICON_SIZE = 16 32 48 64 128 256 512
+
+export DEB_CFLAGS_MAINT_APPEND += -I../backend -DHAVE_HINT_ERROR -DHAVE_HINT_MESSAGE
+
 %:
 	dh $@
 
 override_dh_auto_build:
-	cd Linux; WITH_GTK=3 make
+	WITH_GTK=3 dh_auto_build --sourcedirectory=Linux
+
+execute_after_dh_install:
+	for i in $(ICON_SIZE); do \
+		mkdir -p $(CURDIR)/debian/$(package)/$(ICON_DIR)/"$$i"x"$$i"/mimetypes; \
+		install $(ICON_SRC)$$i.png $(CURDIR)/debian/$(package)/$(ICON_DIR)/"$$i"x"$$i"/$(ICON_NAME); \
+	done
+	install debian/hintview.desktop $(CURDIR)/debian/$(package)/usr/share/applications/
+
+execute_after_dh_clean:
+	rm -f Linux/*.o Linux/*.w Linux/hintview Linux/.depend
 
 #override_dh_auto_configure:
 #	dh_auto_configure -- \
